﻿var comboInputs = new Array();

function initcombob(comboElements){
  // disable autocomplete
  var eleObjArr=document.getElementsByTagName("select");
  for (var i=0; i<eleObjArr.length; i++) { 
    if( eleObjArr[i].getAttribute("autocomplete") ) {
    eleObjArr[i].setAttribute('autocomplete','off'); 
    }
  }
  // Format text input field
  for (i = 0; i < comboElements.length; i++) {
    var inpuElmId = comboElements[i].inputId;
    var inputElm = comboElements[i].inputEl;
    if (inputElm.value != comboElements[i].inputTitle) {
      setInitInputStyle(inputElm);
    } 
  }
}

function comboInputField(inputId,inputTitle,optionsList) {
  var comboInputEl = document.getElementById(inputId);
  var comboSelectEl = comboInputEl.parentNode.parentNode.getElementsByTagName("SELECT")[0];
  this.inputEl = comboInputEl;  
  this.inputId = inputId;
  this.inputTitle = inputTitle;
  this.selectEl = comboSelectEl;
  this.selectElId = comboSelectEl.name;
  this.optionList = optionsList;  
}

function comboElms(comboInputFields) {
  for (var i = 0; i < comboInputFields.length; i++) {
    comboInputs[i] = new comboInputField(comboInputFields[i][0],comboInputFields[i][1],comboInputFields[i][2]);
  } 
  return comboInputs;
}

function detComboByInput(inputEl) {
  for (i = 0; i < comboInputs.length; i++) {
    if (inputEl.name == comboInputs[i].inputId) {
      var comboEl = comboInputs[i];
      break;
    }
  }
  return (comboEl);
}

function detComboBySelect(selectEl) {
  for (i = 0; i < comboInputs.length; i++) {
    if (selectEl.name == comboInputs[i].selectElId) {
      var comboEl = comboInputs[i];
      break;
    }
  }
  return (comboEl);
}

function setInitInputStyle(comboInputEl) {
  //comboInputEl.style.color = "#FF0000";
}

function comboInputEnable(comboInput) {
  /*var comboEl = detComboByInput(comboInput);
  var comboInputEl = comboEl.inputEl;
  var comboinputTitle = comboEl.inputTitle; 
  if (comboInputEl.value == comboinputTitle) {
    comboInputEl.value = "";
  }
  setInitInputStyle(comboInputEl);*/
}

// Refreshes the select options list after a keypress
function combob(evt, comboInput) {
 /* var comboEl = detComboByInput(comboInput);
  var comboInputEl = comboEl.inputEl; 
  var comboselectEl = comboEl.selectEl;
  var comboOptionList = comboEl.optionList;  
  if (evt && evt.which) {
    evt = evt;
    charCode = evt.which;
  }
  else {
    evt = event;
    charCode = evt.keyCode;
  }
  if(charCode == 40 && comboselectEl.style.display == "block") {
    comboselectEl.focus();
    comboselectEl.setAttribute('autocomplete','off');
    comboselectEl.selectedIndex = 0;
    selectedValue = comboselectEl.options[comboselectEl.selectedIndex].text;
    selectedValue = selectedValue.replace(/_/g, '-') ;
    setInitInputStyle(comboInputEl);
    comboInputEl.value = selectedValue;
  }
  else if (charCode == 13 && comboselectEl.style.display == "block" && comboselectEl.length == 1) {
    selectedValue = comboselectEl.options[0].text;
    selectedValue = selectedValue.replace(/_/g, '-') ;
    setInitInputStyle(comboInputEl);
    comboInputEl.value = selectedValue;
    comboselectEl.style.display = "none";
  }
  else {
    var optionListLength = comboOptionList.length;
    if (optionListLength > 10) ssize = 10;
    else ssize = optionListLength;
    comboselectEl.setAttribute("autocomplete","off"); 
    comboselectEl.setAttribute("size",ssize);
    comboselectEl.style.display = "block";
    // match
    searchValue = comboInputEl.value;
    var reValue = /(\w\s)*;
    var searchPattern = searchValue.replace(reValue,"$1");
    re = new RegExp(searchPattern,"gi");
    // Clear the select options list
    comboselectEl.options.length = 0;
    // Loop through the array and re-add matching options
    var newOption;
    var optNum = 0;
    for (var i = 0; i < optionListLength; i++) {
        if (comboOptionList[i].search(re) != -1) {
          newOption = document.createElement("option");
          newOption.text = comboOptionList[i];
          comboselectEl.options.add(newOption, optNum);
          optNum++;
        }
    }
    comboselectEl.selectedIndex = 0;
  }*/
}

// Take selected value and perform specified action
function comboListClick(comboSelect) {
  var comboEl = detComboBySelect(comboSelect);
  var comboInputEl = comboEl.inputEl; 
  var comboselectEl = comboEl.selectEl;
  selectedValue = comboselectEl.options[comboselectEl.selectedIndex].text;
  selectedValue = selectedValue.replace(/_/g, '-');
  setInitInputStyle(comboInputEl);
  comboInputEl.value = selectedValue;
}

// Toggle display on arrow click
function comboToggle(cToggleButton) {
  var comboInput = cToggleButton.parentNode.getElementsByTagName("INPUT")[0];
  var comboEl = detComboByInput(comboInput);
  var comboInputEl = comboEl.inputEl; 
  var comboselectEl = comboEl.selectEl;
  var comboOptionList = comboEl.optionList;
  if (comboselectEl.style.display == "block") {
    comboselectEl.style.display = "none";
  }
  else {
    var optionListLength = comboOptionList.length;
    if (optionListLength > 10) ssize = 10;
    else ssize = optionListLength;
    comboselectEl.setAttribute("size",ssize);
    comboselectEl.style.display = "block";
    comboselectEl.options.length = 0;
    var newOption;
    var optNum = 0;
    for(var i = 0; i < optionListLength; i++) {
      newOption = document.createElement("option");
      newOption.text = comboOptionList[i];
      comboselectEl.options.add(newOption, i);
      optNum++;
    }
    comboselectEl.focus();
  }
}

// Take selected value on enter key press
function comboListSl(evt, comboSelect) { 
  var comboEl = detComboBySelect(comboSelect);
  var comboselectEl = comboEl.selectEl; 
  if (evt && evt.which) {
    evt = evt;
    charCode = evt.which;
  }
  else {
    evt = event;
    charCode = evt.keyCode;
  }
  if (charCode == 13) {
      comboselectEl.style.display = "none";
  }
}

// Set init value
function comboCheck(el) {
  if (el.tagName == "INPUT") var comboEl = detComboByInput(el);
  else if (el.tagName == "SELECT") var comboEl = detComboBySelect(el);
  var comboInputEl = comboEl.inputEl; 
  var comboselectEl = comboEl.selectEl;
  var comboOptionList = comboEl.optionList;
  var optionListLength = comboOptionList.length;
  var comboInitValue = comboEl.inputTitle;
  var inputValue = comboInputEl.value;
  re = new RegExp(inputValue,"gi");
  var matchFound = false;
  if (inputValue != "") {
    for (var i = 0; i < optionListLength; i++) {
      if (comboOptionList[i].search(re) != -1) {
        var matchOption = comboOptionList[i];
        matchFound = true;
        break;
      }
    }
  }
  if (matchFound == true) {
    comboInputEl.value = matchOption;
  }
  else {
    comboInputEl.value = comboInitValue;
    comboInputEl.style.color = "#546e89";
  }   
}
