Create table SHKProcessStateEventAudits
(
KeyValue  VARCHAR (30)  NOT NULL     ,
Name  VARCHAR (50)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityStateEventAudits
(
KeyValue  VARCHAR (30)  NOT NULL     ,
Name  VARCHAR (50)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKCreateProcessEventAudits
(
RecordedTime  BIGINT NOT NULL     ,
RecordedTimeTZO  BIGINT NOT NULL     ,
TheUsername  VARCHAR (100)  NOT NULL     ,
TheType  DECIMAL (19,0)  NOT NULL    ,
ProcessId  VARCHAR (100)  NOT NULL     ,
ProcessName  VARCHAR (254)     ,
ProcessFactoryName  VARCHAR (200)  NOT NULL     ,
ProcessFactoryVersion  VARCHAR (20)  NOT NULL     ,
ProcessDefinitionId  VARCHAR (90)  NOT NULL     ,
ProcessDefinitionName  VARCHAR (90)     ,
PackageId  VARCHAR (90)  NOT NULL     ,
PActivityId  VARCHAR (100)     ,
PProcessId  VARCHAR (100)     ,
PProcessName  VARCHAR (254)     ,
PProcessFactoryName  VARCHAR (200)     ,
PProcessFactoryVersion  VARCHAR (20)     ,
PActivityDefinitionId  VARCHAR (90)     ,
PActivityDefinitionName  VARCHAR (90)     ,
PProcessDefinitionId  VARCHAR (90)     ,
PProcessDefinitionName  VARCHAR (90)     ,
PPackageId  VARCHAR (90)     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKStateEventAudits
(
RecordedTime  BIGINT NOT NULL     ,
RecordedTimeTZO  BIGINT NOT NULL     ,
TheUsername  VARCHAR (100)  NOT NULL     ,
TheType  DECIMAL (19,0)  NOT NULL    ,
ActivityId  VARCHAR (100)     ,
ActivityName  VARCHAR (254)     ,
ProcessId  VARCHAR (100)  NOT NULL     ,
ProcessName  VARCHAR (254)     ,
ProcessFactoryName  VARCHAR (200)  NOT NULL     ,
ProcessFactoryVersion  VARCHAR (20)  NOT NULL     ,
ActivityDefinitionId  VARCHAR (90)     ,
ActivityDefinitionName  VARCHAR (90)     ,
ActivityDefinitionType  INTEGER    ,
ProcessDefinitionId  VARCHAR (90)  NOT NULL     ,
ProcessDefinitionName  VARCHAR (90)     ,
PackageId  VARCHAR (90)  NOT NULL     ,
OldProcessState  DECIMAL (19,0)     ,
NewProcessState  DECIMAL (19,0)     ,
OldActivityState  DECIMAL (19,0)     ,
NewActivityState  DECIMAL (19,0)     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKDataEventAudits
(
RecordedTime  BIGINT NOT NULL     ,
RecordedTimeTZO  BIGINT NOT NULL     ,
TheUsername  VARCHAR (100)  NOT NULL     ,
TheType  DECIMAL (19,0)  NOT NULL    ,
ActivityId  VARCHAR (100)     ,
ActivityName  VARCHAR (254)     ,
ProcessId  VARCHAR (100)  NOT NULL     ,
ProcessName  VARCHAR (254)     ,
ProcessFactoryName  VARCHAR (200)  NOT NULL     ,
ProcessFactoryVersion  VARCHAR (20)  NOT NULL     ,
ActivityDefinitionId  VARCHAR (90)     ,
ActivityDefinitionName  VARCHAR (90)     ,
ActivityDefinitionType  INTEGER    ,
ProcessDefinitionId  VARCHAR (90)  NOT NULL     ,
ProcessDefinitionName  VARCHAR (90)     ,
PackageId  VARCHAR (90)  NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKAssignmentEventAudits
(
RecordedTime  BIGINT NOT NULL     ,
RecordedTimeTZO  BIGINT NOT NULL     ,
TheUsername  VARCHAR (100)  NOT NULL     ,
TheType  DECIMAL (19,0)  NOT NULL    ,
ActivityId  VARCHAR (100)  NOT NULL     ,
ActivityName  VARCHAR (254)     ,
ProcessId  VARCHAR (100)  NOT NULL     ,
ProcessName  VARCHAR (254)     ,
ProcessFactoryName  VARCHAR (200)  NOT NULL     ,
ProcessFactoryVersion  VARCHAR (20)  NOT NULL     ,
ActivityDefinitionId  VARCHAR (90)  NOT NULL     ,
ActivityDefinitionName  VARCHAR (90)     ,
ActivityDefinitionType  INTEGER NOT NULL     ,
ProcessDefinitionId  VARCHAR (90)  NOT NULL     ,
ProcessDefinitionName  VARCHAR (90)     ,
PackageId  VARCHAR (90)  NOT NULL     ,
OldResourceUsername  VARCHAR (100)     ,
OldResourceName  VARCHAR (100)     ,
NewResourceUsername  VARCHAR (100)  NOT NULL     ,
NewResourceName  VARCHAR (100)     ,
IsAccepted  SMALLINT NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKOldEventAuditData
(
DataEventAudit  DECIMAL (19,0)  NOT NULL    ,
VariableDefinitionId  VARCHAR (100)  NOT NULL     ,
VariableType  INTEGER NOT NULL     ,
VariableValue  MEDIUMBLOB    ,
VariableValueXML  TEXT    ,
VariableValueVCHAR  VARCHAR (4000)     ,
VariableValueDBL  DOUBLE PRECISION    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  DATETIME    ,
VariableValueBOOL  SMALLINT    ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKOldEventAuditDataWOB
(
DataEventAudit  DECIMAL (19,0)  NOT NULL    ,
VariableDefinitionId  VARCHAR (100)  NOT NULL     ,
VariableType  INTEGER NOT NULL     ,
VariableValueXML  TEXT    ,
VariableValueVCHAR  VARCHAR (4000)     ,
VariableValueDBL  DOUBLE PRECISION    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  DATETIME    ,
VariableValueBOOL  SMALLINT    ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKOldEventAuditDataBLOBs
(
OldEventAuditDataWOB  DECIMAL (19,0)  NOT NULL    ,
VariableValue  MEDIUMBLOB    ,
OrdNo  INTEGER NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKNewEventAuditData
(
DataEventAudit  DECIMAL (19,0)  NOT NULL    ,
VariableDefinitionId  VARCHAR (100)  NOT NULL     ,
VariableType  INTEGER NOT NULL     ,
VariableValue  MEDIUMBLOB    ,
VariableValueXML  TEXT    ,
VariableValueVCHAR  VARCHAR (4000)     ,
VariableValueDBL  DOUBLE PRECISION    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  DATETIME    ,
VariableValueBOOL  SMALLINT    ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKNewEventAuditDataWOB
(
DataEventAudit  DECIMAL (19,0)  NOT NULL    ,
VariableDefinitionId  VARCHAR (100)  NOT NULL     ,
VariableType  INTEGER NOT NULL     ,
VariableValueXML  TEXT    ,
VariableValueVCHAR  VARCHAR (4000)     ,
VariableValueDBL  DOUBLE PRECISION    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  DATETIME    ,
VariableValueBOOL  SMALLINT    ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKNewEventAuditDataBLOBs
(
NewEventAuditDataWOB  DECIMAL (19,0)  NOT NULL    ,
VariableValue  MEDIUMBLOB    ,
OrdNo  INTEGER NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKEventTypes
(
KeyValue  VARCHAR (30)  NOT NULL     ,
Name  VARCHAR (50)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



