Create table SHKProcessHistoryInfo
(
ProcessId  VARCHAR (100)  NOT NULL     ,
ProcessName  VARCHAR (254)     ,
ProcessFactoryName  VARCHAR (200)  NOT NULL     ,
ProcessFactoryVersion  VARCHAR (20)  NOT NULL     ,
ProcessDefinitionId  VARCHAR (90)  NOT NULL     ,
ProcessDefinitionName  VARCHAR (90)     ,
ProcessPriority  INTEGER    ,
ProcessLimitTime  INTEGER    ,
ProcessDescription  VARCHAR (254)     ,
PackageId  VARCHAR (90)  NOT NULL     ,
PActivityId  VARCHAR (100)     ,
PProcessId  VARCHAR (100)     ,
PProcessName  VARCHAR (254)     ,
PProcessFactoryName  VARCHAR (200)     ,
PProcessFactoryVersion  VARCHAR (20)     ,
PActivityDefinitionId  VARCHAR (90)     ,
PActivityDefinitionName  VARCHAR (90)     ,
PProcessDefinitionId  VARCHAR (90)     ,
PProcessDefinitionName  VARCHAR (90)     ,
PPackageId  VARCHAR (90)     ,
CreatedTime  INTEGER    ,
CreatedTimeTZO  INTEGER    ,
StartedTime  INTEGER    ,
StartedTimeTZO  INTEGER    ,
SuspendedTime  INTEGER    ,
SuspendedTimeTZO  INTEGER    ,
ResumedTime  INTEGER    ,
ResumedTimeTZO  INTEGER    ,
ClosedTime  INTEGER    ,
ClosedTimeTZO  INTEGER    ,
DeletionTime  INTEGER    ,
DeletionTimeTZO  INTEGER    ,
CreatedByUsername  VARCHAR (100)     ,
StartedByUsername  VARCHAR (100)     ,
SuspendedByUsername  VARCHAR (100)     ,
ResumedByUsername  VARCHAR (100)     ,
ClosedByUsername  VARCHAR (100)     ,
DeletedByUsername  VARCHAR (100)     ,
LastState  VARCHAR (100)     ,
LastStateTime  INTEGER    ,
LastStateTimeTZO  INTEGER    ,
LastRecordedTime  INTEGER    ,
LastRecordedTimeTZO  INTEGER    ,
ProcessDuration  INTEGER    ,
IsDeleted  INTEGER    ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcessHistoryDetails
(
ProcessId  VARCHAR (100)  NOT NULL     ,
ProcessHistoryInfo  DECIMAL (19,0)  NOT NULL    ,
TheType  INTEGER NOT NULL     ,
RecordedTime  INTEGER NOT NULL     ,
RecordedTimeTZO  INTEGER NOT NULL     ,
TheUsername  VARCHAR (100)  NOT NULL     ,
Priority  INTEGER    ,
LimitTime  INTEGER    ,
Description  VARCHAR (254)     ,
Name  VARCHAR (254)     ,
VariableDefinitionId  VARCHAR (100)     ,
VariableType  INTEGER    ,
VariableValue  LONGVARBINARY    ,
VariableValueXML  TEXT    ,
VariableValueVCHAR  VARCHAR (4000)     ,
VariableValueDBL  DOUBLE    ,
VariableValueLONG  INTEGER    ,
VariableValueDATE  DATETIME    ,
VariableValueBOOL  INTEGER    ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityHistoryInfo
(
ProcessId  VARCHAR (100)  NOT NULL     ,
ProcessName  VARCHAR (254)     ,
ProcessFactoryName  VARCHAR (200)  NOT NULL     ,
ProcessFactoryVersion  VARCHAR (20)  NOT NULL     ,
ProcessDefinitionId  VARCHAR (90)  NOT NULL     ,
ProcessDefinitionName  VARCHAR (90)     ,
ProcessPriority  INTEGER    ,
ProcessLimitTime  INTEGER    ,
ProcessDescription  VARCHAR (254)     ,
PackageId  VARCHAR (90)  NOT NULL     ,
ActivityId  VARCHAR (100)  NOT NULL     ,
ActivityName  VARCHAR (254)     ,
ActivityPriority  INTEGER    ,
ActivityLimitTime  INTEGER    ,
ActivityDescription  VARCHAR (254)     ,
ActivityDefinitionId  VARCHAR (90)  NOT NULL     ,
ActivityDefinitionName  VARCHAR (90)     ,
ActivityDefinitionType  INTEGER    ,
DeadlineTimeLimit  INTEGER    ,
DeadlineExceptionName  VARCHAR (100)     ,
DeadlineIsSynchronous  INTEGER    ,
CreatedTime  INTEGER NOT NULL     ,
CreatedTimeTZO  INTEGER    ,
StartedTime  INTEGER    ,
StartedTimeTZO  INTEGER    ,
SuspendedTime  INTEGER    ,
SuspendedTimeTZO  INTEGER    ,
ResumedTime  INTEGER    ,
ResumedTimeTZO  INTEGER    ,
AcceptedTime  INTEGER    ,
AcceptedTimeTZO  INTEGER    ,
RejectedTime  INTEGER    ,
RejectedTimeTZO  INTEGER    ,
ClosedTime  INTEGER    ,
ClosedTimeTZO  INTEGER    ,
DeletionTime  INTEGER    ,
DeletionTimeTZO  INTEGER    ,
CreatedByUsername  VARCHAR (100)     ,
StartedByUsername  VARCHAR (100)     ,
SuspendedByUsername  VARCHAR (100)     ,
ResumedByUsername  VARCHAR (100)     ,
AcceptedByUsername  VARCHAR (100)     ,
RejectedByUsername  VARCHAR (100)     ,
ClosedByUsername  VARCHAR (100)     ,
DeletedByUsername  VARCHAR (100)     ,
CurrentUsername  VARCHAR (100)     ,
LastState  VARCHAR (100)     ,
LastStateTime  INTEGER    ,
LastStateTimeTZO  INTEGER    ,
LastRecordedTime  INTEGER    ,
LastRecordedTimeTZO  INTEGER    ,
ActivityDuration  INTEGER    ,
IsDeleted  INTEGER    ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityHistoryDetails
(
ActivityId  VARCHAR (100)  NOT NULL     ,
ActivityHistoryInfo  DECIMAL (19,0)  NOT NULL    ,
TheType  INTEGER NOT NULL     ,
RecordedTime  INTEGER NOT NULL     ,
RecordedTimeTZO  INTEGER NOT NULL     ,
TheUsername  VARCHAR (100)  NOT NULL     ,
ReassignFrom  VARCHAR (100)     ,
ReassignTo  VARCHAR (100)     ,
Priority  INTEGER    ,
LimitTime  INTEGER    ,
Description  VARCHAR (254)     ,
Name  VARCHAR (254)     ,
DeadlineTimeLimit  INTEGER    ,
DeadlineExceptionName  VARCHAR (100)     ,
DeadlineIsSynchronous  INTEGER    ,
VariableDefinitionId  VARCHAR (100)     ,
VariableType  INTEGER    ,
VariableValue  LONGVARBINARY    ,
VariableValueXML  TEXT    ,
VariableValueVCHAR  VARCHAR (4000)     ,
VariableValueDBL  DOUBLE    ,
VariableValueLONG  INTEGER    ,
VariableValueDATE  DATETIME    ,
VariableValueBOOL  INTEGER    ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



