var tableBodyFrame = false;
var thCellsHighlight = false;
var taCellsHighlight = false;
var comboSelElm = false;
var toolbarMenu = false;
var aCardHighlight = false;

function dynStyleSet(dynStyleElms) {

  if (dynStyleElms != null) {
    for(var i=0; i<dynStyleElms.length; i++) {
      if(dynStyleElms[i] == "tbodyFrame") {
        tableBodyFrame = true;
        continue;
      }
      if(dynStyleElms[i] == "thHighlight") {
        thCellsHighlight = true;
        continue;
      }
      if(dynStyleElms[i] == "tatdHighlight") {
        taCellsHighlight = true;
        continue;
      }
      if(dynStyleElms[i] == "comboElm") {
        comboSelElm = true;
        continue;
      }
      if(dynStyleElms[i] == "tbMenu") {
        toolbarMenu = true;
        continue;
      }
      if(dynStyleElms[i] == "acrdHighlight") {
        aCardHighlight = true;
        continue;
      }
    }

    //table body frame
    if (tableBodyFrame == true) {

      var tableobjs = document.getElementsByTagName("TABLE");
      for(i = 0; i < tableobjs.length; i++) {
        if(tableobjs[i].className.search(new RegExp(/(\b(table01)\b)/)) != -1) {
          var table = tableobjs[i];
          break;
        }
      }

      if (table != null) {
        // setup table style for FireFox
        if (/Firefox/.test(navigator.userAgent)){
          table.setAttribute("style","height: 100%; padding-top: 28px; top: -28px; position: relative;");
          var tbframe = document.getElementsByTagName("TBODY")[0];
          if (tbframe != null) {
            tbframe.setAttribute("style","height: 100%; position: relative; top: 0; left: 0; overflow-x: hidden; overflow-y: auto;");
            // hide popup elements on scroll
            tbframe.onscroll = function() {
              hidePopupElms();
            }
          }
          var cntW = document.getElementById("cnt01");
          if (cntW != null) {
            cntW.setAttribute("style","height: 100%; padding-bottom: 0;");
          }          
        }

      }

      //clickable table cells
      var previousClass = null;

      if (thCellsHighlight == true) {

        // highlight header - sort header cells 
        var thead = table.getElementsByTagName("thead")[0];
        var cellslist = thead.getElementsByTagName("th");
        var sort = new Array();
        var k = 0;
        for(i = 0; i < cellslist.length; i++) { 
          if(cellslist[i].className.search(new RegExp(/(\b(sortable)\b)|(\b(sortasc)\b)|(\b(sortdesc)\b)/)) != -1) {
            sort[k] = cellslist[i];
            k++;
          }
        }   
        // add event handlers so sort light up
        if (sort.length != 0) {
          for(i=0; i < sort.length; i++) {
            sort[i].onmouseover = function() {
              previousClass = this.className;
              if(this.className == "sortasc" || this.className == "sortdesc") {
              this.className += " sortover";            
              }
              this.className += " over";
            };
            sort[i].onmouseout = function() {
              this.className = previousClass;
            };
          }
        }

      }

      if (taCellsHighlight == true) {
        // highlight action cells - context menu table cells
        var elcellslist;
        var acttd = new Array();
        var j = 0;
        elcellslist = table.getElementsByTagName("TD");
        for(i=0; i < elcellslist.length; i++) {
          if(elcellslist[i].className.search(new RegExp(/(\b(actcoltd)\b)/)) != -1) {
            acttd[j] = elcellslist[i];
            j++;
          }      
        }
        // add event handlers so acttd light up
        if (acttd.length != 0) {
          for(i=0; i < acttd.length; i++) {
            var actd = acttd[i];
            actd.onmouseover = function() {
              if(cmdisplay == false) {
                this.className += " actcolover";
              }
              else {
                hidecntmenus();
                showCntMenu(this);
              }
            }; 
            actd.onmouseout = function() {
              this.className = "actcoltd";
            };
          }
        }
      }

    }

    //clickable cards
    if (aCardHighlight == true) {        
      // highlight cards 
      var cframe = document.getElementById("cntframe");
      var elmlist = cframe.getElementsByTagName("DIV");
      var cards = new Array();
      var k = 0;
      for(i = 0; i < elmlist.length; i++) { 
        if(elmlist[i].className.search(new RegExp(/(\b(acardw)\b)/)) != -1) { 
          cards[k] = elmlist[i];
          k++;
        }
      }   
      // add event handlers so cards light up
      if (cards.length != 0) {
        for(i=0; i < cards.length; i++) {
          cards[i].onmouseover = function() {
            previousClass = this.className;
            this.className += " acardwover";
          };
          cards[i].onmouseout = function() {
            this.className = previousClass;
          };
        }
      }
    }

  }

  // hide popup elements on scroll
  var scrframe = document.getElementById("cntframe");
  if (scrframe != null) {
    scrframe.onscroll = function() {
      hidePopupElms();
    }
  }
  
  // set main frame style top attribute if font size is larger than normal
  if (navigator.appName != 'Microsoft Internet Explorer') {
    var mainFrameW = document.getElementById("cntframew");
    var headerW = document.getElementById("phw");
    var headerHeight = headerW.offsetHeight; 
    if(headerHeight > 106) {
      mainFrameW.style.top = headerHeight + "px";
    }
  }

}

// show - hide input fields
function shwhdTbarElm(elmId, nelId, elmLinkId, nelLinkId, elmTitle, nelTitle) {
  var el = document.getElementById(elmId);
  var nel = document.getElementById(nelId);
  var elmLink = document.getElementById(elmLinkId);
  var nelLink = document.getElementById(nelLinkId);
  var elmLinkA = elmLink.getElementsByTagName("A")[0];
  var nelLinkA = nelLink.getElementsByTagName("A")[0];  
  if (el.style.display == "block") {
    el.style.display = "none";
    elmLink.className = "shwhd";
    elmLinkA.setAttribute('title','Show: ' + elmTitle);
  }
  else {
    nel.style.display = "none";
    nelLink.className = "shwhd";
    nelLinkA.setAttribute('title','Show: ' + nelTitle);
    el.style.display = "block";
    elmLink.className += " shwhddispl";
    elmLinkA.setAttribute('title','Hide: ' + elmTitle);
  }
}

// show - hide two input fields
function shwhdTbarElm2(elmId, nelId, nelId2, elmLinkId, nelLinkId, nelLinkId2, elmTitle, nelTitle, nelTitle2) {
  var el = document.getElementById(elmId);
  var nel = document.getElementById(nelId);
  var nel2 = document.getElementById(nelId2);
  var elmLink = document.getElementById(elmLinkId);
  var nelLink = document.getElementById(nelLinkId);
  var nelLink2 = document.getElementById(nelLinkId2);
  var elmLinkA = elmLink.getElementsByTagName("A")[0];
  var nelLinkA = nelLink.getElementsByTagName("A")[0];  
  var nelLinkA2 = nelLink2.getElementsByTagName("A")[0];  
  if (el.style.display == "block") {
    el.style.display = "none";
    elmLink.className = "shwhd";
    elmLinkA.setAttribute('title','Show: ' + elmTitle);
  }
  else {
    nel.style.display = "none";
    nelLink.className = "shwhd";
    nelLinkA.setAttribute('title','Show: ' + nelTitle);
    nel2.style.display = "none";
    nelLink2.className = "shwhd";
    nelLinkA2.setAttribute('title','Show: ' + nelTitle2);
    el.style.display = "block";
    elmLink.className += " shwhddispl";
    elmLinkA.setAttribute('title','Hide: ' + elmTitle);
  }
}

function getURLParam(strParamName){
  var strReturn = "";
  var strHref = window.location.href;
  if ( strHref.indexOf("?") > -1 ){
    var strQueryString = strHref.substr(strHref.indexOf("?"));
    var aQueryString = strQueryString.split("&");
    for ( var iParam = 0; iParam < aQueryString.length; iParam++ ){
      if (
aQueryString[iParam].indexOf(strParamName.toLowerCase() + "=") > -1 ){
        var aParam = aQueryString[iParam].split("=");
        strReturn = aParam[1];
        break;
      }
    }
  }
  return unescape(strReturn);
} 
	