


ALTER TABLE SHKProcesses ADD CONSTRAINT SHKProcesses_ProcessDefi0 FOREIGN KEY (ProcessDefinition) REFERENCES SHKProcessDefinitions (oid) ;
ALTER TABLE SHKProcesses ADD CONSTRAINT SHKProcesses_State FOREIGN KEY (State) REFERENCES SHKProcessStates (oid) ;

ALTER TABLE SHKProcessRequesters ADD CONSTRAINT SHKProcessRequesters_Act1 FOREIGN KEY (ActivityRequester) REFERENCES SHKActivities (oid) ;
ALTER TABLE SHKProcessRequesters ADD CONSTRAINT SHKProcessRequesters_Res2 FOREIGN KEY (ResourceRequester) REFERENCES SHKResourcesTable (oid) ;

ALTER TABLE SHKActivities ADD CONSTRAINT SHKActivities_Process FOREIGN KEY (Process) REFERENCES SHKProcesses (oid) ;
ALTER TABLE SHKActivities ADD CONSTRAINT SHKActivities_TheResource FOREIGN KEY (TheResource) REFERENCES SHKResourcesTable (oid) ;
ALTER TABLE SHKActivities ADD CONSTRAINT SHKActivities_State FOREIGN KEY (State) REFERENCES SHKActivityStates (oid) ;



ALTER TABLE SHKAssignmentsTable ADD CONSTRAINT SHKAssignmentsTable_Acti3 FOREIGN KEY (Activity) REFERENCES SHKActivities (oid) ;
ALTER TABLE SHKAssignmentsTable ADD CONSTRAINT SHKAssignmentsTable_TheR4 FOREIGN KEY (TheResource) REFERENCES SHKResourcesTable (oid) ;

ALTER TABLE SHKProcessData ADD CONSTRAINT SHKProcessData_Process FOREIGN KEY (Process) REFERENCES SHKProcesses (oid) ;

ALTER TABLE SHKProcessDataWOB ADD CONSTRAINT SHKProcessDataWOB_Process FOREIGN KEY (Process) REFERENCES SHKProcesses (oid) ;

ALTER TABLE SHKProcessDataBLOBs ADD CONSTRAINT SHKProcessDataBLOBs_Proc5 FOREIGN KEY (ProcessDataWOB) REFERENCES SHKProcessDataWOB (oid) ;

ALTER TABLE SHKActivityData ADD CONSTRAINT SHKActivityData_Activity FOREIGN KEY (Activity) REFERENCES SHKActivities (oid) ;

ALTER TABLE SHKActivityDataWOB ADD CONSTRAINT SHKActivityDataWOB_Activ6 FOREIGN KEY (Activity) REFERENCES SHKActivities (oid) ;

ALTER TABLE SHKActivityDataBLOBs ADD CONSTRAINT SHKActivityDataBLOBs_Act7 FOREIGN KEY (ActivityDataWOB) REFERENCES SHKActivityDataWOB (oid) ;

ALTER TABLE SHKAndJoinTable ADD CONSTRAINT SHKAndJoinTable_Process FOREIGN KEY (Process) REFERENCES SHKProcesses (oid) ;
ALTER TABLE SHKAndJoinTable ADD CONSTRAINT SHKAndJoinTable_BlockAct8 FOREIGN KEY (BlockActivity) REFERENCES SHKActivities (oid) ;
ALTER TABLE SHKAndJoinTable ADD CONSTRAINT SHKAndJoinTable_Activity FOREIGN KEY (Activity) REFERENCES SHKActivities (oid) ;

ALTER TABLE SHKDeadlines ADD CONSTRAINT SHKDeadlines_Process FOREIGN KEY (Process) REFERENCES SHKProcesses (oid) ;
ALTER TABLE SHKDeadlines ADD CONSTRAINT SHKDeadlines_Activity FOREIGN KEY (Activity) REFERENCES SHKActivities (oid) ;




