@echo off
cls

if not exist configure.properties goto error

find "jdk_dir" < configure.properties > javahome.txt
for /F "tokens=1,2* delims==" %%i in (javahome.txt) do SET JAVA_HOME=%%j

find "db_ext_dirs" < configure.properties > javahome.txt
for /F "tokens=1,2* delims==" %%i in (javahome.txt) do SET DB_EXT_DIRS=%%j

del javahome.txt>nul
if "X%JAVA_HOME%"=="X" goto error

set OLDPATH=%PATH%
set PATH=%PATH%;%JAVA_HOME%\bin
set ARG1=%1

if "%ARG1%X"=="X" set ARG1=_configure-dist

java -Djava.ext.dirs=lib/contrib/nonruntime;lib/contrib;%DB_EXT_DIRS% org.apache.tools.ant.Main -buildfile configure.xml %ARG1%

set PATH=%OLDPATH%
set OLDPATH=

goto end

:error
echo.
echo The configure.properties does not exist, or does not contain valid jdk_dir value
echo.

:end
